Loading...
Searching...
No Matches
OBCommentData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBCommentData:
[legend]

## Public Member Functions

| OBCommentData ()
| OBCommentData (const OBCommentData &)
virtual OBGenericData * | Clone (OBBase *) const
OBCommentData & | operator= (const OBCommentData &src)
void | SetData (const std::string &data)
void | SetData (const char *d)
const std::string & | GetData () const
virtual const std::string & | GetValue () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

std::string | _data
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to store a comment string (can be multiple lines long).

## Constructor & Destructor Documentation

## OBCommentData() [1/2]

OBCommentData | ( |  | ) |

Referenced by Clone(), OBCommentData(), and operator=().

## OBCommentData() [2/2]

OBCommentData | ( | const OBCommentData & | src | ) |

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## operator=()

OBCommentData & operator= | ( | const OBCommentData & | src | ) |

## SetData() [1/2]

void SetData | ( | const std::string & | data | ) |

inline

## SetData() [2/2]

void SetData | ( | const char * | d | ) |

inline

## GetData()

const std::string & GetData | ( |  | ) | const

inline

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual

Base class returns a default value (the attribute type) but should never be called.

Reimplemented from OBGenericData.

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _data

std::string _data

protected

Referenced by GetData(), GetValue(), OBCommentData(), SetData(), and SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp